/home/travis/build/boostorg/boost/boost/geometry/core/coordinate_dimension.hpp File Reference

## Classes

struct | boost::geometry::dimension< Geometry >
| Metafunction defining [*value] as the number of coordinates (the number of axes of any geometry) of the \3. More...
struct | boost::geometry::traits::dimension< Point, Enable >
| Traits class indicating the number of dimensions of a point. More...

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::traits

## Functions

template<typename Geometry , int Dimensions>
void | boost::geometry::assert_dimension ()
| assert_dimension, enables compile-time checking if coordinate dimensions are as expected
template<typename G1 , typename G2 >
void | boost::geometry::assert_dimension_equal ()
| assert_dimension_equal, enables compile-time checking if coordinate dimensions of two geometries are equal
template<typename Geometry , int Dimensions>
void | boost::geometry::assert_dimension_greater_equal ()
template<typename Geometry , int Dimensions>
void | boost::geometry::assert_dimension_less_equal ()
| assert_dimension, enables compile-time checking if coordinate dimensions are as expected

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK